#!/bin/sh
# Installation script for Cryptoloop Package
# Peter Hyman
# This program will save current versions of mount, umount, and losetup
# prior to installing new versions

if [ -e /bin/mount ]; then
   mv /bin/mount /bin/mount.save
fi

if [ -e /bin/umount ]; then
   mv /bin/umount /bin/umount.save
fi

if [ -e /sbin/losetup ]; then
   mv /sbin/losetup /sbin/losetup.save
fi

if [ -e /usr/man/man8/mount.8.gz ]; then
   mv /usr/man/man8/mount.8.gz /usr/man/man8/mount.8.gz.save
fi

if [ -e /usr/man/man8/losetup.8.gz ]; then
   mv /usr/man/man8/losetup.8.gz /usr/man/man8/losetup.8.gz.save
fi

# now move the new files to their proper names

mv /bin/mount.cryptoloop /bin/mount
mv /bin/umount.cryptoloop /bin/umount
mv /sbin/losetup.cryptoloop /sbin/losetup
mv /usr/man/man8/mount.8.gz.cryptoloop /usr/man/man8/mount.8.gz
mv /usr/man/man8/losetup.8.gz.cryptoloop /usr/man/man8/losetup.8.gz

echo "Installed Cryptoloop extensions"
echo "mount, umount, and losetup have been preserved with a .save extension"
echo "/usr/man/man8 mount.8.gz and losetup.8.gz have also been preserved with a .save extension"
echo ""
echo "Please see the README.Cryptoloop file in /usr/doc/util-linux-2.12a for"
echo "information."
echo ""

